### Method

# Foundry FileSearchOptions dup_required_patterns

since: 1.1

#### Declaration [src]

    char**
    foundry_file_search_options_dup_required_patterns (
      FoundryFileSearchOptions* self
    )

#### Description [src]

Gets a copy of the required file patterns.

These patterns define which files must match to be included in the search. Files that do not match any of these patterns will be excluded from the search. The patterns use shell-style globbing (e.g. “.c”, “.h”).

Available since: 1.1

#### Return value

Type: An array of `utf8`

A newly allocated array of required file patterns, or `NULL` if not set. Free with `g_strfreev()` when no longer needed.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.